@echo off
bin\adb.exe disconnect

setlocal EnableDelayedExpansion

SET _VERSION_=3.1.6

ECHO =========================================================================================
ECHO   WorldVDS Generic Debugger  v%_VERSION_%
ECHO =========================================================================================
ECHO.



call :count_devices

IF %_COUNT_% EQU 0 (
    call bin\connect.cmd
)

ECHO.
.\bin\adb.exe devices
ECHO.

FOR /F "tokens=1,2" %%a IN ('.\bin\adb.exe devices') DO (
    IF "%%b" == "device" (		
		call :debug %%a								        
    )
)

pause
GOTO :eof

:count_devices
    SET _COUNT_=0
    FOR /F "tokens=1,2" %%a IN ('.\bin\adb.exe devices') DO (
        IF "%%b" == "device" (
	        SET /A _COUNT_=%_COUNT_%+1
        )
    )
GOTO :eof


:debug
    IF "%1" == "" (
        ECHO Error: No device specified.
        ECHO.
        GOTO :eof
    )
	ECHO ADB Logcat debug device to dumplog.txt , please leave it 24h ...
	.\bin\adb.exe -s %1 logcat ActivityManager:I myapp:D NODEJS-MOBILE:D NODEJS-CONDOVA:D chromium:D *:S  > dumplog.txt	  
GOTO :eof
