@echo off

:input
ECHO Connecting to Android device
ECHO.
SET /P IP="Device IP Address: "

:retest
bin\adb disconnect %IP% > nul 2>&1
FOR /F "tokens=1,3" %%A IN ('bin\adb connect %IP%') DO (
    SET STATUS1=%%A
    SET STATUS2=%%B
)

IF /I "%STATUS2%"=="authenticate" (
    ECHO.
    ECHO.
    ECHO Warning: This computer is not authorized to access your Android TV or BOX.
    ECHO See the popup messagem on your TV.
    ECHO.
    ECHO =================================================
    ECHO Please allow "USB Debugging" on your Android BOX
    ECHO    - Check "Always allow from this computer" 
    ECHO    - Press "Allow" Button to continue
    ECHO =================================================
    ECHO.
    pause
    GOTO :retest
)

IF /I "%STATUS1%"=="cannot" (
    ECHO ERROR: Failed to connect to %IP%	
    GOTO :eof
)

IF /I "%STATUS1%"=="failed" (
    ECHO ERROR: Failed to connect to %IP%
    GOTO :eof
)